Bug 63412 - builtin losetup -d fails
Summary: builtin losetup -d fails
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sash   
(Show other bugs)
Version: 7.3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Karsten Hopp
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-04-13 13:58 UTC by Derek Tattersall
Modified: 2007-04-18 16:41 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-24 21:39:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Derek Tattersall 2002-04-13 13:58:38 UTC
Description of Problem:
after doing -losetup /dev/loop1 /file
-losetup -d /dev/loop1 fials with 
Error unassociating device: Device or resource busy

Version-Release number of selected component (if applicable):
sash-3.4-11

How Reproducible:
Happens every time.  Have to exit sash to delete the association

Steps to Reproduce:
1. Create a file file in /
2. sash
3. -losetup /dev/loop1 /file
4. -losetup -d /dev/loop1

Actual Results:
Error unassociating device: Device or resource busy

Expected Results:
The file to disassociated from the loop device

Additional Information:

Comment 1 Bill Nottingham 2002-04-15 03:50:25 UTC
Does this succeed with normal losetup?

Comment 2 Derek Tattersall 2002-08-11 20:33:19 UTC
Works fine with standalone losetup.  Also fails in limbo beta4 the same way,
where standalone losetup works as advertised.

Comment 3 Karsten Hopp 2004-08-24 21:39:12 UTC
works in the current version 


Note You need to log in before you can comment on or make changes to this bug.